### Method

# Vips Image colourspace

#### Declaration [src]

    int
    vips_colourspace (
      VipsImage* in,
      VipsImage** out,
      VipsInterpretation space,
      ...
    )

#### Description [src]

This operation looks at the interpretation field of `in` (or uses `source_space`, if set) and runs a set of colourspace conversion functions to move it to `space`.

For example, given an image tagged as `VIPS_INTERPRETATION_YXY`, running `vips_colourspace()` with `space` set to `VIPS_INTERPRETATION_LAB` will convert with `vips_Yxy2XYZ()` and `vips_XYZ2Lab()`.

Optional arguments

- `source_space`: `VipsInterpretation`, input colour space

See also

`vips_colourspace_issupported()`, `vips_image_guess_interpretation()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`space`

  Type: `VipsInterpretation`

  Convert to this colour space.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.